Seltsames Phänomen

In diesem Forum Fragen und Diskussionen in Deutsch
Forum rules
Foren-Regeln und hilfreiche Informationen

WICHTIG: Bitte zuerst lesen, bevor Sie posten
Repman
Posts: 266
Joined: Sat Jul 05, 2014 9:56 am

Seltsames Phänomen

Postby Repman » Wed Oct 14, 2015 7:11 am

Hallo zusammen,

habe hier ein seltsames Phänomen:
Wenn ich den Radius des inneren Kreises im beigefügten Sketch von 18,5 mm auf 19 mm erhöhe, wird der Kreis nicht mehr ausgeschnitten, obwohl es eigentlich keine Überschneidungen mit anderen Teilen der Skizze gibt. Woran liegt das denn?

Viele Grüße
Repman
Attachments
LüfterMount.FCStd
(6.89 KiB) Downloaded 37 times
wmayer
Site Admin
Posts: 14899
Joined: Thu Feb 19, 2009 10:32 am

Re: Seltsames Phänomen

Postby wmayer » Wed Oct 14, 2015 9:17 am

Wenn man einen Radius von 19 mm setzt und das Pad aktualisiert, sieht man komische doppelte Flächen (weil die Fläche teils grau, teils gelb ist), wenn man mit der Maus darüberfährt.

Meiner Meinung rührt es daher, dass bei der Erstellung der Grundfläche aus dem Sketch etwas schief läuft. Wenn diese Grundfläche erstellt wird, ist es von zentraler Bedeutung zu wissen was die Außenkontor und was Innenkonturen sind. Bisher wird das mit Bounding-Boxen erledigt, was bisher auch immer gut zu funktionieren schien. In OpenCascade kann es durchaus vorkommen, dass eine Bounding-Box viel größer berechnet wird als sie eigentlich sein sollte. Wenn das der Fall ist, kann ich mir vorstellen, dass vielleicht sogar der Kreis als Außenkontor gehandhabt wird und somit zu den Artefakten führt.

Aber wie gesagt, das ist nur eine Vermutung und muss noch genauer analysiert werden. Übrigens: der Grenzradius liegt bei 18,7821 mm
wmayer
Site Admin
Posts: 14899
Joined: Thu Feb 19, 2009 10:32 am

Re: Seltsames Phänomen

Postby wmayer » Wed Oct 14, 2015 9:31 am

Code: Select all

sketch=App.ActiveDocument.Sketch.Shape
for i in sketch.Wires:
   print ("%s: %d edges" % (repr(i.BoundBox), len(i.Edges)))
ergibt diese Ausgabe:
BoundBox (-20.3296, -20.3296, 0, 20.3296, 20.3296, 0): 8 edges <<=== die eigentliche Außenkontur
BoundBox (-17.5153, -17.5153, 0, -14.4847, -14.4847, 0): 1 edges
BoundBox (14.4847, -17.5153, 0, 17.5153, -14.4847, 0): 1 edges
BoundBox (-17.5153, 14.4847, 0, -14.4847, 17.5153, 0): 1 edges
BoundBox (14.4847, 14.4847, 0, 17.5153, 17.5153, 0): 1 edges
BoundBox (-20.3297, -20.3297, 0, 20.3297, 20.3297, 0): 1 edges <<=== der große Kreis
Wie man sieht, ist die Bounding-Box des Kreises tatsächlich größer und führt damit zu dem besagten Fehlverhalten. q.e.d.
User avatar
r-frank
Posts: 2181
Joined: Thu Jan 24, 2013 6:26 pm
Location: Möckmühl, Germany
Contact:

Re: Seltsames Phänomen

Postby r-frank » Wed Oct 14, 2015 9:48 am

Es spielt keine Rolle, ob man das als Pad über PartDesign versucht oder über Extrude in der Part-Workbench, also ein
generelles Phänomen von FreeCAD (das spräche für die Erklärung von wmayer - danke schön, wieder was dazu gelernt).

Workaround: den Kreis aus der Skizze löschen, eine Skizze auf die obere Fläche legen, Kreis zeichnen und constrainen und dann
per Pocket oder Extrude und boolschem Cut die Kreistasche extra herstellen.

Roland
Deutsche FreeCAD Tutorials auf Youtube
My GrabCAD FreeCAD-Projects
FreeCAD lessons for beginners in english

Native german speaker - so apologies for my english, no offense intended :)
Repman
Posts: 266
Joined: Sat Jul 05, 2014 9:56 am

Re: Seltsames Phänomen

Postby Repman » Wed Oct 14, 2015 9:53 am

Danke an Alle!
Wieder ´was dazu gelernt.
Macht wirklich Spass, immer wieder Neues in FreeCAD zu entdecken!

Viele Grüße
Repman
wmayer
Site Admin
Posts: 14899
Joined: Thu Feb 19, 2009 10:32 am

Re: Seltsames Phänomen

Postby wmayer » Wed Oct 14, 2015 8:17 pm